## org.apache.myfaces.application
Class MyfacesStateManager

    java.lang.Object
      javax.faces.application.StateManager
          org.apache.myfaces.application.MyfacesStateManager

Direct Known Subclasses:
  JspStateManagerImpl

public abstract class MyfacesStateManager
extends javax.faces.application.StateManager

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Manfred Geiler (latest modification by $Author: matze $)

Nested Class Summary

Nested classes inherited from class javax.faces.application.StateManager
`javax.faces.application.StateManager.SerializedView`

Field Summary

Fields inherited from class javax.faces.application.StateManager
`STATE_SAVING_METHOD_CLIENT, STATE_SAVING_METHOD_PARAM_NAME, STATE_SAVING_METHOD_SERVER`

Constructor Summary
`MyfacesStateManager()`

Method Summary
`abstract void` `writeStateAsUrlParams(javax.faces.context.FacesContext facesContext, javax.faces.application.StateManager.SerializedView serializedView)` Writes url parameters with the state info to be saved.

Methods inherited from class javax.faces.application.StateManager
`getComponentStateToSave, getTreeStructureToSave, isSavingStateInClient, restoreComponentState, restoreTreeStructure, restoreView, saveSerializedView, writeState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MyfacesStateManager

    public MyfacesStateManager()

Method Detail

### writeStateAsUrlParams

    public abstract void writeStateAsUrlParams(javax.faces.context.FacesContext facesContext,
                                               javax.faces.application.StateManager.SerializedView serializedView)
                                        throws java.io.IOException

  Writes url parameters with the state info to be saved. For every url state marker this method is called once from `ViewTag.doAfterBody()`.

  Throws:
    `java.io.IOException`